******************************************************************************
*  No Copyright, released to the Public Domain
*
*  $Workfile:   y2kcompw.prg  $
*
*  Programmer.: The Ghost in the Machine
*  Date.......: 10/22/98
*  Description: Y2KCODE.EXE generated comments for Y2K remediation herein
*
*  *** PVCS revision log section - Do not modify! ***
*  $Log:   N:\vcs\source\exec\y2kcompw.prv  $
*
*     Rev 34.3   27 Nov 1998 13:16:44   GRLTC25
*  Added additional date-range adjustment method "two year"
*
*     Rev 34.2   31 Oct 1998 17:07:46   GRLTC25
*  Added additional test run data fields
*
*     Rev 34.1   26 Oct 1998 12:26:56   GRLTC25
*  Added date fudge to accomodate extra day aging around 2/28/2000
*
*     Rev 34.0   22 Oct 1998 11:45:08   GRLTC25
*  Initial revision.
*
******************************************************************************
#include "FiveWin.ch"
#include "Y2KComp.ch"

SET RESOURCES TO "Y2KComp.DLL"

PUBLIC glLeapSkip := .T.
PUBLIC gcAdjust   := _TWOYEAR

Main()


*----------------------------------------------------------------------------
FUNCTION Main()
*----------------------------------------------------------------------------
LOCAL oDlg, oBtnQuit, oBtnGo, oBrws1, oBrws2
LOCAL oMeter, oSay
LOCAL nAmount
LOCAL cType, cFreq, c1:=SPACE(80),  c2:=SPACE(80),  cGMBO, cCycle, cName
LOCAL oCbx1, oCbx2, oC1, oC2, oGMBO, oCbx3,  oName, oCbx4

SET 3DLOOK ON

DEFINE DIALOG oDlg RESOURCE "MainDlg" TITLE "Y2K Comparison Utility (v.1998.12.03)"

    REDEFINE GET oGMBO VAR cGMBO ID 12 OF oDlg PICTURE "!!!!"
    REDEFINE GET oName VAR cName ID 13 OF oDlg
    REDEFINE GET oC1 VAR c1 ID 10 OF oDlg PICTURE REPL("!",80)
    REDEFINE GET oC2 VAR c2 ID 11 OF oDlg PICTURE REPL("!",80)

    REDEFINE BUTTON oBrws1 ID 30 OF oDlg                                  ;
        ACTION (oC1:cText := cGetFile("*.*", "Select Comparison File 1"), ;
                oDlg:Refresh()                                            )
    REDEFINE BUTTON oBrws2 ID 31 OF oDlg                                  ;
        ACTION (oC2:cText := cGetFile("*.*", "Select Comparison File 2"), ;
                oDlg:Refresh()                                            )

    REDEFINE COMBOBOX oCbx1 VAR cType    ;
        ITEMS { _TYPE_DBF,               ;
                _TYPE_TXT,               ;
                _TYPE_DLM,               ;
                _TYPE_FLT,               ;
                _TYPE_FOO  }             ID 20 OF oDlg

    REDEFINE COMBOBOX oCbx2 VAR cFreq    ;
        ITEMS { _FREQ_1,                 ;
                _FREQ_3,                 ;
                _FREQ_10,                ;
                _FREQ_50,                ;
                _FREQ_250,               ;
                _FREQ_1000 }             ID 21 OF oDlg

    REDEFINE COMBOBOX oCbx3 VAR cCycle   ;
        ITEMS { "Unit Test",             ;
                "Regression Test",       ;
                "1999 Positive Test",    ;
                "2000 Positive Test"}    ID 22 OF oDlg

    REDEFINE COMBOBOX oCbx4 VAR gcAdjust ;
        ITEMS { _TWOYEAR,                ;
                _LEAPDAY,                ;
                _NOADJUST }              ID 23 OF oDlg

    REDEFINE SAY oSay ID 140 OF oDlg
    REDEFINE METER oMeter VAR nAmount ID 150 OF oDlg

    REDEFINE BUTTON oBtnGo   ID 1 OF oDlg                          ;
        ACTION (Compare( cType, ALLTRIM(c1), ALLTRIM(c2), cGMBO,   ;
                         cCycle, cFreq, cName, oMeter, oSay      ) )
    REDEFINE BUTTON oBtnQuit ID 2 OF oDlg                          ;
        ACTION (SysRefresh(), oDlg:End())

ACTIVATE DIALOG oDlg CENTERED

CLOSE ALL
RETURN nil


*----------------------------------------------------------------------------
FUNCTION Meter(nWhat, nAmt, oMeter)
*----------------------------------------------------------------------------
IF nWhat = _TOTAL
    oMeter:nTotal := nAmt
ELSEIF nWhat = _CURRENT
    oMeter:Set(nAmt)
ENDIF
RETURN nil


*----------------------------------------------------------------------------
FUNCTION SetText(c, oSay)
*----------------------------------------------------------------------------
oSay:SetText(c)
RETURN nil


*----------------------------------------------------------------------------
FUNCTION SayScreen(c)
*----------------------------------------------------------------------------
//MsgWait(ALLTRIM(SUBSTR(c,1,70))+"...", "Comparison Action", 2)
RETURN nil


*----------------------------------------------------------------------------
FUNCTION Results()
*----------------------------------------------------------------------------
MEMOWRIT("Report.TXT", Report(_FETCH))
WinExec( "NOTEPAD.EXE REPORT.TXT" )
RETURN nil


*----------------------------------------------------------------------------
FUNCTION Choice(cMess, aOpts)
*----------------------------------------------------------------------------
LOCAL nChoice := 0
LOCAL oDlg, oBOK, oBCancel, oLstBox
LOCAL cChoice
LOCAL lCancel

DEFINE DIALOG oDlg RESOURCE "Choice"
    REDEFINE BUTTON oBOK     ID 1 OF oDlg ACTION (lCancel:=.F., oDlg:End())
    REDEFINE BUTTON oBCancel ID 2 OF oDlg ACTION (lCancel:=.T., oDlg:End())
    REDEFINE SAY oSay PROMPT cMess ID 100 OF oDlg
    REDEFINE LISTBOX oLstBox VAR cChoice ITEMS aOpts ID 101 OF oDlg
ACTIVATE DIALOG oDlg CENTERED

nChoice := IIF(lCancel, 0, ASCAN(aOpts, cChoice))
RETURN nChoice


